!*****************************************
! Module omdetectconstants_mod
!
! Declares various global constants
!****************************************
module omconstants_mod
    use dal
    use cal
    integer (int32), public :: binx = 0  ! x binning factor
    integer (int32), public :: biny = 0  ! y binning factor                    

    real(double), public, parameter :: PI = 3.141592653589793_double  
    real(double), public, parameter :: TWO_PI = 2.0_double * PI      
    real(double), public, parameter :: HALF_PI = PI / 2.0_double
    real(double), public, parameter :: radiansToDegrees = 180.0_double / PI
    real(double), public, parameter :: degreesToRadians = PI / 180.0_double

    real(single), public, parameter :: pixelIgnoreFlag = -1e8

    real(double), parameter         :: radiansToArcSecs = radiansToDegrees * 3600.0_double 

    real(double)         :: xCentre = 1024.5_double
    real(double)         :: yCentre = 1024.5_double
 

end module omconstants_mod




