module readModes_mod

  use dal
  implicit none

  private

  public readModes

contains

subroutine readModes(thisDataSet, x0, y0, dx, dy)


implicit none

type(DataSetT)    ::      thisDataSet
type(TableT)      ::      modesTable
type(ColumnT)     ::      modesColumn
integer(int32)    :: x0, y0, dx, dy
integer(int32), pointer :: pcol(:)

modesTable = table(thisDataSet, "MODES")

modesColumn = column(modesTable, "WINDOWX0", Read)
pcol => int32data(modesColumn)
x0 = pcol(0)
call release(modesColumn)


modesColumn = column(modesTable, "WINDOWY0", Read)
pcol => int32data(modesColumn)
y0 = pcol(0)
call release(modesColumn)


modesColumn = column(modesTable, "WINDOWDX", Read)
pcol => int32data(modesColumn)
dx = pcol(0)
call release(modesColumn)


modesColumn = column(modesTable, "WINDOWDY", Read)
pcol => int32data(modesColumn)
dy = pcol(0)
call release(modesColumn)

call release(modesTable)

end subroutine readModes

end module readModes_mod
